Index: WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml	(revision 4305)
+++ WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml	(revision 4306)
@@ -31,4 +31,8 @@
 
 th {
+  text-align: left
+}
+
+td {
   text-align: left
 }
Index: WAeUP_SRP/trunk/skins/waeup_design/common2.css.dtml_backup
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/common2.css.dtml_backup	(revision 4305)
+++ 	(revision )
@@ -1,1257 +1,0 @@
-<dtml-let base_url="getBaseUrl()">
-html, body {
-height:100%;
-}
-input, textarea, select, button {
-background-color:white;
-margin:0pt;
-}
-input {
-border:1px inset #757575;
-}
-input, button {
-padding:3px;
-}
-input[type="radio"], input[type="checkbox"] {
-border:medium none;
-}
-.fileview {
-padding:3px;
-}
-.statusmessage {
-margin-bottom:9px;
-padding:3px;
-}
-input.SearchBox {
-background:white url(http://localhost:8080/cpsskins/cpsskins_images/search_icon.png) no-repeat scroll left center;
-border:1px inset #757575;
-padding:2px 2px 2px 20px;
-}
-div.searchField {
-background:transparent url(http://localhost:8080/cpsskins/cpsskins_images/portlet_search_icon.png) no-repeat scroll left center;
-padding:2px 2px 2px 20px;
-}
-.toggle_icon {
-clear:left;
-float:left;
-padding:2px 0pt 0pt 3px;
-}
-.missing_toggle {
-padding:0pt 0pt 0pt 13px;
-}
-.tree_node {
-padding:0pt 0pt 0pt 8px;
-}
-.tree_leaf {
-padding:0pt 0pt 0pt 22px;
-}
-.action_icon {
-clear:left;
-float:left;
-padding:0pt 6px 0pt 0pt;
-}
-.cpsskinsBox ul.cpsskinsMenu, .cpsskinsBox ul.cpsskinsMenu li {
-display:inline;
-line-height:normal;
-list-style-type:none;
-margin:0px;
-padding:0px;
-}
-.cpsskinsBox ul.cpsskinsMenu li a {
-background-position:left top;
-background-repeat:no-repeat;
-display:block;
-}
-.cpsskinsBox ul.cpsskinsMenu li a.noicon, .cpsskinsBox ul.cpsskinsMenu li.selected a.noicon {
-background-image:none !important;
-padding-left:2px !important;
-}
-.cpsskinsBox ul.cpsskinsMenu li a span.itemDescription {
-display:block;
-font-size:85%;
-}
-div.xmlExportButtons {
-padding-top:1em;
-text-align:right;
-}
-div.xmlExportButtons a {
-background:#FF6600 none repeat scroll 0%;
-border:0.1em outset #FF6600;
-color:#FFFFFF !important;
-font-family:'Lucida Grande',Arial,Helvetica,sans-serif !important;
-font-size:70% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-margin:0pt 0.1em;
-padding:0pt 0.3em;
-text-decoration:none;
-}
-.cpsskinsTab ul.cpsskinsMenu, .cpsskinsTab ul.cpsskinsMenu li {
-display:inline;
-line-height:normal;
-list-style-type:none;
-margin:0px;
-padding:0px;
-}
-.cpsskinsTab ul.cpsskinsMenu li a {
-background-position:left center;
-background-repeat:no-repeat;
-display:inline;
-}
-.cpsskinsTab ul.cpsskinsMenu span.itemDescription {
-display:none;
-}
-.cpsskinsTab div.xmlExportButtons {
-display:none;
-}
-.cpsskinsBox .buttons {
-display:block;
-padding-bottom:1px;
-padding-right:1px;
-padding-top:1px;
-}
-.cpsskinsBox .buttons a {
-float:right;
-}
-.cpsskinsTabs {
-float:left;
-line-height:normal;
-text-align:left;
-width:100%;
-}
-.cpsskinsTabs ul {
-list-style-image:none;
-list-style-position:outside;
-list-style-type:none;
-margin:0pt;
-padding:0pt;
-}
-.cpsskinsTabs li {
-float:left;
-margin:0pt;
-padding:0pt;
-position:relative;
-}
-.cpsskinsTabs a {
-display:block;
-float:left;
-margin-left:0pt !important;
-text-decoration:none;
-}
-.cpsskinsTabs a {
-float:none;
-}
-.cpsskinsTabs ul.cpsskinsMenu span.itemDescription {
-display:none;
-}
-.cpsskinsTabs div.xmlExportButtons {
-display:none;
-}
-.cpsskinsTabs li ul {
-display:none;
-left:0pt;
-position:absolute;
-}
-.cpsskinsTabs li > ul {
-left:auto;
-top:auto;
-}
-.cpsskinsTabs li:hover ul, .cpsskinsTabs li.over ul {
-display:block;
-}
-.cpsskinsBoxCorners .rbtop div {
-left:-2px;
-position:relative;
-width:100%;
-}
-.cpsskinsBoxCorners .rbtop {
-position:relative;
-right:-1px;
-top:-1px;
-width:100%;
-}
-.cpsskinsBoxCorners .rbbot div {
-left:-2px;
-position:relative;
-width:100%;
-}
-.cpsskinsBoxCorners .rbbot {
-bottom:-1px;
-position:relative;
-right:-1px;
-width:100%;
-}
-.hidden {
-display:none;
-}
-.cpsskinsHBox {
-margin:3px;
-}
-.cpsskinsHBox ul.cpsskinsMenu, .cpsskinsHBox ul.cpsskinsMenu li {
-display:inline;
-line-height:normal;
-list-style-type:none;
-padding:3px 0pt 2px;
-}
-* html .cpsskinsHBox ul.cpsskinsMenu {
-padding:0px;
-}
-* html .cpsskinsHBox ul.cpsskinsMenu li {
-padding:0px;
-}
-.cpsskinsHBox ul.cpsskinsMenu li a {
-background-position:left top;
-background-repeat:no-repeat;
-display:inline;
-margin-left:0pt !important;
-}
-.cpsskinsHBox ul.cpsskinsMenu span.itemDescription {
-display:none;
-}
-.cpsskinsHBox div.xmlExportButtons {
-display:none;
-}
-
-.colorHeadersideleft {
-background-color:#FFCA31;
-background-image:url(<dtml-var base_url>backgrounds/header_side_left.png);
-background-position:right top;
-background-repeat:repeat-y;
-border-color:transparent;
-color:#000000;
-}
-.colorHeadersideright {
-background-color:#FFCA31;
-background-image:url(<dtml-var base_url>backgrounds/header_side_right.png);
-background-position:left top;
-background-repeat:repeat-y;
-border-color:transparent;
-color:#000000;
-}
-.colorMainsideleft {
-background-color:gray;
-background-image:url(<dtml-var base_url>backgrounds/main_side_left.png);
-background-position:right top;
-background-repeat:repeat-y;
-border-color:transparent;
-color:#000000;
-}
-.colorMainsideright {
-background-color:gray;
-background-image:url(<dtml-var base_url>backgrounds/main_side_right.png);
-background-repeat:repeat-y;
-border-color:transparent;
-color:#000000;
-}
-.colorHeadercandybarbackground {
-background-color:#FF9900;
-background-image:url(<dtml-var base_url>backgrounds/header_background.png);
-background-repeat:repeat-x;
-color:#000000;
-}
-.portalTabTabStyle ul.cpsskinsMenu li {
-margin:0pt 2px 0pt 0pt;
-}
-.portalTabTabStyle ul.cpsskinsMenu li a {
-padding:3px 2px;
-}
-
-.colorFootergradient {
-background-color:#E7E7E7;
-background-image:url(<dtml-var base_url>backgrounds/footer_gradient.png);
-background-position:left bottom;
-background-repeat:repeat-x;
-border-color:transparent;
-color:#000000;
-}
-.colorgraye7 {
-background-color:#E7E7E7;
-background-repeat:repeat;
-border-color:transparent;
-color:#000000;
-}
-.fontShapeaverage {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:12px !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapeaverage p {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:5px 10px 0px 0px;
-}
-.fontShapeaverage small {
-}
-.fontShapeaverage h1, .fontShapeaverage .h1 {
-border-style:none;
-border-width:0px;
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:185% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-margin:0px;
-padding:0px;
-}
-.fontShapeaverage h2, .fontShapeaverage .h2 {
-border-style:none;
-border-width:0px;
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-margin:10px 0px 5px;
-padding:0px;
-}
-.fontShapeaverage h3, .fontShapeaverage .h3 {
-border-style:none;
-border-width:0px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:125% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapeaverage h4, .fontShapeaverage .h4, .fontShapeaverage h5, .fontShapeaverage .h5, .fontShapeaverage h6, .fontShapeaverage .h6 {
-border-style:none;
-border-width:0pt;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-margin:10px 0px 5px;
-padding:0px;
-}
-.fontShapeaverage a, .fontShapeaverage a div, .fontShapeaverage a span {
-text-decoration:none;
-}
-.fontShapeaverage a:visited, .fontShapeaverage a:visited div, .fontShapeaverage a:visited span {
-text-decoration:none;
-}
-.fontShapeaverage a:active, .fontShapeaverage a:active div, .fontShapeaverage a:active span {
-text-decoration:underline overline;
-}
-.fontShapeaverage a:hover, .fontShapeaverage a:hover div, .fontShapeaverage a:hover span {
-text-decoration:underline;
-}
-.fontShapemini {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:10px !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapemini p {
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:0em;
-}
-.fontShapemini h1, .fontShapemini .h1 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:0.8em 0em 0em;
-}
-.fontShapemini h2, .fontShapemini .h2 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:125% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapemini h3, .fontShapemini .h3 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:120% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapemini h4, .fontShapemini .h4, .fontShapemini h5, .fontShapemini .h5, .fontShapemini h6, .fontShapemini .h6 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:115% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.4em 0em 0em;
-}
-.fontShapemini a, .fontShapemini a div, .fontShapemini a span {
-text-decoration:none;
-}
-.fontShapemini a:visited, .fontShapemini a:visited div, .fontShapemini a:visited span {
-text-decoration:none;
-}
-.fontShapemini a:active, .fontShapemini a:active div, .fontShapemini a:active span {
-text-decoration:underline overline;
-}
-.fontShapemini a:hover, .fontShapemini a:hover div, .fontShapemini a:hover span {
-text-decoration:underline;
-}
-.colorNavboxstyle {
-background-color:#FFFFFF;
-background-image:url(<dtml-var base_url>backgrounds/whitemaintop.png);
-background-position:left bottom;
-background-repeat:no-repeat;
-border-color:transparent;
-color:#000000;
-}
-.boxShapeextraleftboxes .title {
-border-style:none;
-border-width:0pt;
-display:inline;
-font-family:arial,sans-serif,Verdana,Helvetica;
-font-size:12px;
-font-size-adjust:none;
-font-stretch:normal;
-font-style:normal;
-font-variant:normal;
-font-weight:bold;
-line-height:normal;
-padding:30px 10px 5px 5px;
-}
-.boxShapeextraleftboxes .body {
-border-style:none none solid;
-border-width:1px;
-padding:5px 5px 10px;
-}
-.boxShapeextraleftboxes .body ul.cpsskinsMenu li a {
-border-style:none;
-border-width:0pt;
-margin:0pt;
-padding:2px;
-}
-.boxShapeextraleftboxes .body ul.cpsskinsMenu li.selected a {
-border-style:none;
-border-width:0pt;
-margin:0pt;
-padding:0px;
-}
-.boxColorextraleftboxes .title {
-background-color:transparent;
-border-color:transparent;
-color:#666666;
-}
-.boxColorextraleftboxes .title a {
-color:#666666;
-}
-.boxColorextraleftboxes .body {
-background-color:transparent;
-border-color:#BCBCBC;
-}
-.boxColorextraleftboxes .body ul.cpsskinsMenu li a {
-border-color:transparent;
-}
-.boxColorextraleftboxes .body ul.cpsskinsMenu li.selected a {
-border-color:transparent;
-}
-.boxColorextraleftboxes .body ul.cpsskinsMenu li a {
-background-color:transparent;
-}
-.boxColorextraleftboxes .body ul.cpsskinsMenu li a:hover, .boxColorextraleftboxes .body ul.cpsskinsMenu li.selected a {
-background-color:transparent;
-}
-.boxColorextraleftboxes .body ul.cpsskinsMenu li a {
-background-image:url(<dtml-var base_url>images/blakbullet.png);
-padding-left:20px !important;
-}
-.boxColorextraleftboxes .body ul.cpsskinsMenu li.selected a {
-background-image:url(<dtml-var base_url>images/blakbullet.png);
-padding-left:20px !important;
-}
-.fontColordefaultfontcolors h1, .fontColordefaultfontcolors .h1 {
-border-color:#666666;
-color:#4E4E4E;
-}
-.fontColordefaultfontcolors h2, .fontColordefaultfontcolors .h2 {
-border-color:#666666;
-color:#525252;
-}
-.fontColordefaultfontcolors h3, .fontColordefaultfontcolors .h3 {
-border-color:#666666;
-color:#666666;
-}
-.fontColordefaultfontcolors h4, .fontColordefaultfontcolors .h4, .fontColordefaultfontcolors h5, .fontColordefaultfontcolors .h5, .fontColordefaultfontcolors h6, .fontColordefaultfontcolors .h6 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultfontcolors a, .fontColordefaultfontcolors a div, .fontColordefaultfontcolors a span {
-color:#0066CC;
-}
-.fontColordefaultfontcolors a:visited, .fontColordefaultfontcolors a:visited div, .fontColordefaultfontcolors a:visited span {
-color:#003399;
-}
-.fontColordefaultfontcolors a:active, .fontColordefaultfontcolors a:active div, .fontColordefaultfontcolors a:active span {
-color:blue;
-}
-.fontColordefaultfontcolors a:hover, .fontColordefaultfontcolors a:hover div, .fontColordefaultfontcolors a:hover span {
-color:#0066CC;
-}
-.colorAreaColormain {
-background-color:#E7E7E7;
-background-image:url(<dtml-var base_url>backgrounds/whitemaintop.png);
-background-position:left top;
-background-repeat:repeat-x;
-border-color:#BCBCBC;
-color:#333333;
-}
-.colormainlittlecorner {
-background-color:#E7E7E7;
-background-image:url(<dtml-var base_url>backgrounds/little_main_corner_e7_20px.png);
-background-position:left top;
-background-repeat:no-repeat;
-border-color:transparent;
-color:#666666;
-}
-.colormainleftborder {
-background-color:white;
-background-image:url(<dtml-var base_url>backgrounds/bc_pixel.png);
-background-position:left top;
-background-repeat:repeat-y;
-border-color:#BCBCBC;
-color:#000000;
-}
-.colormaintopcorner {
-background-color:#FFFFFF;
-background-image:url(<dtml-var base_url>backgrounds/main_top_corner.png);
-background-position:left top;
-background-repeat:no-repeat;
-border-color:transparent;
-color:#333333;
-}
-.boxShapeobjectactions .title {
-border-style:none solid none none;
-border-width:1px;
-display:inline;
-font-family:arial,sans-serif;
-font-size:12px;
-font-size-adjust:none;
-font-stretch:normal;
-font-style:normal;
-font-variant:normal;
-font-weight:normal;
-line-height:normal;
-padding:0pt;
-}
-.boxShapeobjectactions .body {
-border-style:none;
-border-width:1px;
-padding:0px;
-}
-.boxShapeobjectactions .body ul.cpsskinsMenu li a {
-border-style:none;
-border-width:0px;
-padding:5px;
-}
-.boxShapeobjectactions .body ul.cpsskinsMenu li.selected a {
-border-style:none solid;
-border-width:1px;
-padding:5px;
-}
-.boxColorobjectactions .title {
-background-color:#D0D0D0;
-border-color:#999999;
-color:Black;
-}
-.boxColorobjectactions .title a {
-color:Black;
-}
-.boxColorobjectactions .body {
-background-color:transparent;
-border-color:#BCBCBC;
-}
-.boxColorobjectactions .body ul.cpsskinsMenu li a {
-border-color:transparent;
-}
-.boxColorobjectactions .body ul.cpsskinsMenu li.selected a {
-border-color:transparent;
-}
-.boxColorobjectactions .body ul.cpsskinsMenu li a {
-background-color:transparent;
-}
-.boxColorobjectactions .body ul.cpsskinsMenu li a:hover, .boxColorobjectactions .body ul.cpsskinsMenu li.selected a {
-background-color:#F1F2F3;
-}
-.boxShapenavbox .title {
-border-style:none;
-border-width:0px;
-display:inline;
-font-family:arial,sans-serif,Verdana,Helvetica;
-font-size:12px;
-font-size-adjust:none;
-font-stretch:normal;
-font-style:normal;
-font-variant:normal;
-font-weight:bold;
-line-height:normal;
-padding:0px;
-}
-.boxShapenavbox .body {
-border-style:solid;
-border-width:0px;
-padding:10px 0pt 0pt;
-}
-.boxShapenavbox .body ul.cpsskinsMenu li a {
-border-style:none;
-border-width:0px;
-margin:1px 3px;
-padding:1px 0px 1px 21px;
-}
-.boxShapenavbox .body ul.cpsskinsMenu li.selected a {
-border-style:solid;
-border-width:0px;
-margin:0px 3px;
-padding:1px 0px 1px 21px;
-}
-.boxColornavbox .title {
-background-color:transparent;
-border-color:transparent;
-color:#666666;
-}
-.boxColornavbox .title a {
-color:#666666;
-}
-.boxColornavbox .body {
-background-color:transparent;
-border-color:transparent;
-}
-.boxColornavbox .body ul.cpsskinsMenu li a {
-border-color:transparent;
-}
-.boxColornavbox .body ul.cpsskinsMenu li.selected a {
-border-color:transparent;
-}
-.boxColornavbox .body ul.cpsskinsMenu li a {
-background-color:transparent;
-}
-.boxColornavbox .body ul.cpsskinsMenu li a:hover, .boxColornavbox .body ul.cpsskinsMenu li.selected a {
-background-color:#F1F2F3;
-}
-.fontColormini h1, .fontColormini .h1 {
-border-color:#666666;
-color:Black;
-}
-.fontColormini h2, .fontColormini .h2 {
-border-color:#666666;
-color:Black;
-}
-.fontColormini h3, .fontColormini .h3 {
-border-color:#666666;
-color:Black;
-}
-.fontColormini h4, .fontColormini .h4, .fontColormini h5, .fontColormini .h5, .fontColormini h6, .fontColormini .h6 {
-border-color:#666666;
-color:Black;
-}
-.fontColormini a, .fontColormini a div, .fontColormini a span {
-color:#0066CC;
-}
-.fontColormini a:visited, .fontColormini a:visited div, .fontColormini a:visited span {
-color:#003399;
-}
-.fontColormini a:active, .fontColormini a:active div, .fontColormini a:active span {
-color:blue;
-}
-.fontColormini a:hover, .fontColormini a:hover div, .fontColormini a:hover span {
-color:#0066CC;
-}
-.colorfontcolorgray {
-background-color:transparent;
-border-color:transparent;
-color:#666666;
-}
-.fontColordefaultnovisitedlinks h1, .fontColordefaultnovisitedlinks .h1 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultnovisitedlinks h2, .fontColordefaultnovisitedlinks .h2 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultnovisitedlinks h3, .fontColordefaultnovisitedlinks .h3 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultnovisitedlinks h4, .fontColordefaultnovisitedlinks .h4, .fontColordefaultnovisitedlinks h5, .fontColordefaultnovisitedlinks .h5, .fontColordefaultnovisitedlinks h6, .fontColordefaultnovisitedlinks .h6 {
-border-color:#666666;
-color:Black;
-}
-.fontColordefaultnovisitedlinks a, .fontColordefaultnovisitedlinks a div, .fontColordefaultnovisitedlinks a span {
-color:#0066CC;
-}
-.fontColordefaultnovisitedlinks a:visited, .fontColordefaultnovisitedlinks a:visited div, .fontColordefaultnovisitedlinks a:visited span {
-color:#0066CC;
-}
-.fontColordefaultnovisitedlinks a:active, .fontColordefaultnovisitedlinks a:active div, .fontColordefaultnovisitedlinks a:active span {
-color:blue;
-}
-.fontColordefaultnovisitedlinks a:hover, .fontColordefaultnovisitedlinks a:hover div, .fontColordefaultnovisitedlinks a:hover span {
-color:#0066CC;
-}
-.fontShapeactions {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:9px !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapeactions p {
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:0em;
-}
-.fontShapeactions h1, .fontShapeactions .h1 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:0.8em 0em 0em;
-}
-.fontShapeactions h2, .fontShapeactions .h2 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:125% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapeactions h3, .fontShapeactions .h3 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:120% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapeactions h4, .fontShapeactions .h4, .fontShapeactions h5, .fontShapeactions .h5, .fontShapeactions h6, .fontShapeactions .h6 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:115% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.4em 0em 0em;
-}
-.fontShapeactions a, .fontShapeactions a div, .fontShapeactions a span {
-text-decoration:none;
-}
-.fontShapeactions a:visited, .fontShapeactions a:visited div, .fontShapeactions a:visited span {
-text-decoration:none;
-}
-.fontShapeactions a:active, .fontShapeactions a:active div, .fontShapeactions a:active span {
-text-decoration:underline;
-}
-.fontShapeactions a:hover, .fontShapeactions a:hover div, .fontShapeactions a:hover span {
-text-decoration:none;
-}
-.boxCornerRoundedBoxCorners {
-background-color:white;
-border:1px solid #BCBCBC;
-}
-.boxCornerRoundedBoxCorners .rbtop div {
-background:transparent url(<dtml-var base_url>backgrounds/corner1.png) no-repeat scroll left top;
-height:9px;
-}
-.boxCornerRoundedBoxCorners .rbtop {
-background:transparent url(<dtml-var base_url>backgrounds/corner2.png) no-repeat scroll right top;
-height:9px;
-}
-.boxCornerRoundedBoxCorners .rbbot div {
-background:transparent url(<dtml-var base_url>backgrounds/corner4.png) no-repeat scroll left bottom;
-height:9px;
-}
-.boxCornerRoundedBoxCorners .rbbot {
-background:transparent url(<dtml-var base_url>backgrounds/corner3.png) no-repeat scroll right bottom;
-height:9px;
-}
-.portalTabPortalTabStyleuseractions ul.cpsskinsMenu li {
-margin:0pt 5px 0pt 0pt;
-}
-.portalTabPortalTabStyleuseractions ul.cpsskinsMenu li a {
-padding:1px 0px;
-}
-.colortitlebackground {
-background-color:#1F4485;
-background-image:url(<dtml-var base_url>backgrounds/cps_athens.png);
-background-position:left top;
-background-repeat:no-repeat;
-border-color:transparent;
-color:#000000;
-}
-.boxCornerhalfRoundedBox {
-background-color:#FFFFFF;
-border:1px solid #BCBCBC;
-}
-.boxCornerhalfRoundedBox .rbtop div {
-background:transparent url(<dtml-var base_url>backgrounds/scorner1.png) no-repeat scroll left top;
-height:9px;
-}
-.boxCornerhalfRoundedBox .rbtop {
-background:transparent url(<dtml-var base_url>backgrounds/scorner2.png) no-repeat scroll right top;
-height:9px;
-}
-.boxCornerhalfRoundedBox .rbbot div {
-background:transparent url(<dtml-var base_url>backgrounds/corner4.png) no-repeat scroll left bottom;
-height:9px;
-}
-.boxCornerhalfRoundedBox .rbbot {
-background:transparent url(<dtml-var base_url>backgrounds/corner3.png) no-repeat scroll right bottom;
-height:9px;
-}
-.fontShapeTitleindex {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:13px !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapeTitleindex p {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:0em;
-}
-.fontShapeTitleindex h1, .fontShapeTitleindex .h1 {
-border-style:none;
-border-width:0px;
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-margin:0px;
-padding:0px;
-}
-.fontShapeTitleindex h2, .fontShapeTitleindex .h2 {
-border-style:none;
-border-width:0pt;
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapeTitleindex h3, .fontShapeTitleindex .h3 {
-border-style:none;
-border-width:0pt;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:125% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapeTitleindex h4, .fontShapeTitleindex .h4, .fontShapeTitleindex h5, .fontShapeTitleindex .h5, .fontShapeTitleindex h6, .fontShapeTitleindex .h6 {
-border-style:none;
-border-width:0pt;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.4em 0em 0em;
-}
-.fontShapeTitleindex a, .fontShapeTitleindex a div, .fontShapeTitleindex a span {
-text-decoration:none;
-}
-.fontShapeTitleindex a:visited, .fontShapeTitleindex a:visited div, .fontShapeTitleindex a:visited span {
-text-decoration:none;
-}
-.fontShapeTitleindex a:active, .fontShapeTitleindex a:active div, .fontShapeTitleindex a:active span {
-text-decoration:underline overline;
-}
-.fontShapeTitleindex a:hover, .fontShapeTitleindex a:hover div, .fontShapeTitleindex a:hover span {
-text-decoration:underline;
-}
-.fontColortitleindex h1, .fontColortitleindex .h1 {
-border-color:#666666;
-color:#003399;
-}
-.fontColortitleindex h2, .fontColortitleindex .h2 {
-border-color:#666666;
-color:#454545;
-}
-.fontColortitleindex h3, .fontColortitleindex .h3 {
-border-color:#666666;
-color:#666666;
-}
-.fontColortitleindex h4, .fontColortitleindex .h4, .fontColortitleindex h5, .fontColortitleindex .h5, .fontColortitleindex h6, .fontColortitleindex .h6 {
-border-color:#666666;
-color:Black;
-}
-.fontColortitleindex a, .fontColortitleindex a div, .fontColortitleindex a span {
-color:#0066CC;
-}
-.fontColortitleindex a:visited, .fontColortitleindex a:visited div, .fontColortitleindex a:visited span {
-color:#003399;
-}
-.fontColortitleindex a:active, .fontColortitleindex a:active div, .fontColortitleindex a:active span {
-color:blue;
-}
-.fontColortitleindex a:hover, .fontColortitleindex a:hover div, .fontColortitleindex a:hover span {
-color:#0066CC;
-}
-.boxShapeLatestbox .title {
-border-style:none;
-border-width:0px;
-display:inline;
-font-family:arial,sans-serif;
-font-size:175%;
-font-size-adjust:none;
-font-stretch:normal;
-font-style:normal;
-font-variant:normal;
-font-weight:bold;
-line-height:normal;
-padding:0px 5px 0px 10px;
-}
-.boxShapeLatestbox .body {
-border-style:none;
-border-width:0px;
-padding:10px;
-}
-.boxShapeLatestbox .body ul.cpsskinsMenu li a {
-border-style:none;
-border-width:1px;
-margin:2px;
-padding:2px;
-}
-.boxShapeLatestbox .body ul.cpsskinsMenu li.selected a {
-border-style:none;
-border-width:0px;
-margin:2px;
-padding:2px;
-}
-.boxColortitleindex .title {
-background-color:#FFFFFF;
-border-color:transparent;
-color:#003399;
-}
-.boxColortitleindex .title a {
-color:#003399;
-}
-.boxColortitleindex .body {
-background-color:#FFFFFF;
-border-color:#999999;
-}
-.boxColortitleindex .body ul.cpsskinsMenu li a {
-border-color:#FFFFFF;
-}
-.boxColortitleindex .body ul.cpsskinsMenu li.selected a {
-border-color:transparent;
-}
-.boxColortitleindex .body ul.cpsskinsMenu li a {
-background-color:#FFFFFF;
-}
-.boxColortitleindex .body ul.cpsskinsMenu li a:hover, .boxColortitleindex .body ul.cpsskinsMenu li.selected a {
-background-color:#E7E7E7;
-}
-.boxColortitleindex .body ul.cpsskinsMenu li a {
-background-image:url(<dtml-var base_url>images/blakbullet.png);
-padding-left:20px !important;
-}
-.boxColortitleindex .body ul.cpsskinsMenu li.selected a {
-background-image:url(<dtml-var base_url>images/blakbullet.png);
-padding-left:20px !important;
-}
-.shapeAreaShape1 {
-border-style:solid;
-border-width:1px 0pt 0pt;
-text-transform:none;
-}
-.shapeAreaShape2 {
-border-style:solid;
-border-width:0pt 1px 0pt 0pt;
-text-transform:none;
-}
-.shapeAreaShape3 {
-border-style:solid;
-border-width:0pt 0pt 1px;
-text-transform:none;
-}
-.shapeAreaShape4 {
-border-style:solid;
-border-width:0pt 0pt 0pt 1px;
-text-transform:none;
-}
-.shapeAreaShape5 {
-border-style:solid;
-border-width:0px 1px 1px 0px;
-text-transform:none;
-}
-.colorAreaColor {
-background-color:#FFFFFF;
-background-repeat:repeat;
-border-color:#CBD3D7;
-color:#000000;
-}
-.colorUnibenColor {
-background-color:#D6ACE8;
-border-color:#8900CD;
-color:#000000;
-}
-.shapeAreaShape6 {
-border-style:solid;
-border-width:1px 1px 1px 0px;
-text-transform:none;
-}
-.colorWAeUPColor {
-background-color:#CBD3D7;
-border-color:#CBD3D7;
-color:#000000;
-}
-.shapeAreaShape7 {
-border-style:solid;
-border-width:0px 1px 1px;
-text-transform:none;
-}
-.shapeAreaShape8 {
-border-style:solid;
-border-width:1px 1px 0px;
-text-transform:none;
-}
-.shapeAreaShape {
-border-style:solid;
-border-width:1px;
-text-transform:none;
-}
-.shapeAreaShape9 {
-border-style:solid;
-border-width:1px 0px 0px 1px;
-text-transform:none;
-}
-.shapeAreaShape10 {
-border-style:solid;
-border-width:1px;
-text-transform:none;
-}
-.colorSciAfrColor {
-background-color:#840000;
-border-color:#CCCCCC;
-color:#000000;
-}
-
-.fontColornavigation h1, .fontColornavigation .h1 {
-border-color:#666666;
-color:Black;
-}
-.fontColornavigation h2, .fontColornavigation .h2 {
-border-color:#666666;
-color:Black;
-}
-.fontColornavigation h3, .fontColornavigation .h3 {
-border-color:#666666;
-color:Black;
-}
-.fontColornavigation h4, .fontColornavigation .h4, .fontColornavigation h5, .fontColornavigation .h5, .fontColornavigation h6, .fontColornavigation .h6 {
-border-color:#666666;
-color:Black;
-}
-.fontColornavigation a, .fontColornavigation a div, .fontColornavigation a span {
-color:black;
-}
-.fontColornavigation a:visited, .fontColornavigation a:visited div, .fontColornavigation a:visited span {
-color:black;
-}
-.fontColornavigation a:active, .fontColornavigation a:active div, .fontColornavigation a:active span {
-color:black;
-}
-.fontColornavigation a:hover, .fontColornavigation a:hover div, .fontColornavigation a:hover span {
-color:black;
-}
-.fontShapenavigation {
-font-family:Arial,sans-serif,Verdana,Helvetica !important;
-font-size:12px !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapenavigation p {
-font-family:Arial,Verdana,Helvetica,sans-serif !important;
-font-size:100% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-}
-.fontShapenavigation h1, .fontShapenavigation .h1 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:150% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:normal !important;
-line-height:normal !important;
-padding:0.8em 0em 0em;
-}
-.fontShapenavigation h2, .fontShapenavigation .h2 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:125% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapenavigation h3, .fontShapenavigation .h3 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:120% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.6em 0em 0em;
-}
-.fontShapenavigation h4, .fontShapenavigation .h4, .fontShapenavigation h5, .fontShapenavigation .h5, .fontShapenavigation h6, .fontShapenavigation .h6 {
-border-style:none;
-border-width:1px;
-font-family:Verdana,Arial,Helvetica,sans-serif !important;
-font-size:115% !important;
-font-size-adjust:none !important;
-font-stretch:normal !important;
-font-style:normal !important;
-font-variant:normal !important;
-font-weight:bold !important;
-line-height:normal !important;
-padding:0.4em 0em 0em;
-}
-.fontShapenavigation a, .fontShapenavigation a div, .fontShapenavigation a span {
-text-decoration:none;
-}
-.fontShapenavigation a:visited, .fontShapenavigation a:visited div, .fontShapenavigation a:visited span {
-text-decoration:none;
-}
-.fontShapenavigation a:active, .fontShapenavigation a:active div, .fontShapenavigation a:active span {
-text-decoration:none;
-}
-.fontShapenavigation a:hover, .fontShapenavigation a:hover div, .fontShapenavigation a:hover span {
-text-decoration:underline;
-}
-</dtml-let>
Index: WAeUP_SRP/trunk/skins/waeup_nau/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_nau/clearance_edit.py	(revision 4306)
+++ WAeUP_SRP/trunk/skins/waeup_nau/clearance_edit.py	(revision 4306)
@@ -0,0 +1,158 @@
+## Script (Python) "clearance_edit"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=REQUEST, acknowledge=None
+##title=
+# $Id: clearance_edit.py 4065 2009-04-23 19:02:59Z henrik $
+"""
+"""
+wftool = context.portal_workflow
+from urllib import urlencode
+from Products.CPSDocument.utils import getFormUidUrlArg
+import DateTime
+current = DateTime.DateTime()
+import logging
+logger = logging.getLogger('Skins.clearance_edit')
+request = REQUEST
+
+cpsdocument_edit_button = REQUEST.has_key('cpsdocument_edit_button')
+cpsdocument_edit_and_view_button = REQUEST.has_key('cpsdocument_edit_and_view_button')
+clear_and_validate_button = REQUEST.has_key('clear_and_validate_button')
+reject_clearance_button = REQUEST.has_key('reject_clearance_button')
+result_edit_button = REQUEST.has_key('result_edit_button')
+
+# Until ajax posts directly to its own script...
+##if 'ajax_edit' in REQUEST.form:
+##    return context.cpsdocument_edit_ajax(REQUEST, cluster=cluster)
+
+# Validate the document and write it if it's valid
+# (We don't call getEditableContent here, validate does it when needed.)
+wftool = context.portal_workflow
+info = context.getClearanceInfo()
+
+#'Sorry, you are not allowed to access this page!'
+if info == None:
+    return REQUEST.RESPONSE.redirect(context.standard_error_message())
+student = info['student']
+#app = info['app']
+#app_doc = info['app_doc']
+clear = info['clear']
+clear_doc = info['clear_doc']
+student_id = info['id']
+member_id = str(context.portal_membership.getAuthenticatedMember())
+result_widgets = ('fst_sit_results',
+                  'scd_sit_results',
+                  'alr_results',
+                  )
+required_scans = ('fst_sit_scan',
+#                 'jamb_slip',
+                  'ref_let',
+                  'acc_let'
+                 )
+# start customization
+
+no_scans_required = True
+
+# end customization        
+
+form = request.form
+psm = ""
+args = {}
+action = "/external_clearance_edit_form"
+clearance_closed = False
+
+if context.isStudent():
+    action = "/clearance_edit_form"
+    if info['clear_review_state'] == 'closed':
+        clearance_closed = True
+
+if not clearance_closed:
+    is_valid, ds = clear_doc.validate(request=REQUEST,
+                                schema_id = 'student_clearance',
+                                layout_id = 'student_clearance',
+                                proxy=clear,
+                                use_session=False)
+if clear_and_validate_button and info['review_state'] == "clearance_requested":
+    logger.info('%s cleared %s' % (member_id,student_id ))
+    #from Products.zdb import set_trace
+    #set_trace()
+    clear_doc.edit(mapping = {'clearance_officer': member_id,
+                              'cleared_date': current,})
+    wftool.doActionFor(info['student'],'clear_and_validate')
+    if clear_doc.firstname and clear_doc.lastname:
+        if info['per_review_state'] != 'opened':
+            wftool.doActionFor(info['per'],'open')
+        per_doc = info['per'].getContent()
+        firstname = clear_doc.firstname.replace('-',' - ')
+        firstname = ' '.join([m.capitalize() for m in firstname.split()])
+        firstname = firstname.replace(' - ','-')
+        middlename = clear_doc.middlename.replace('-',' - ')
+        middlename = ' '.join([m.capitalize() for m in middlename.split()])
+        middlename = middlename.replace(' - ','-')
+        lastname = clear_doc.lastname.replace('-',' - ')
+        lastname = ' '.join([m.capitalize() for m in lastname.split()])
+        lastname = lastname.replace(' - ','-')
+        # we changed
+        context.waeup_tool.updateRoleMappingsFor('waeup_student_subobject_wf',info['per'])
+        per_doc.edit(mapping = {'firstname': firstname, 'middlename': middlename, 'lastname': lastname,})
+
+    psm = "Clearance and eligibility record is validated and student is cleared!"
+elif clear_and_validate_button and info['review_state'] == "cleared_and_validated":
+    psm = "This student is already cleared!"
+elif reject_clearance_button:
+    logger.info('%s rejected clearance for %s' % (member_id,student_id ))
+    clear_doc.edit(mapping = {'clearance_officer': '',
+                              'cleared_date': None,})    
+    try:
+        wftool.doActionFor(info['clear'],'open')
+    except:
+        pass
+    wftool.doActionFor(info['student'],'reject_clearance')
+    action = "/external_contact_student_form"
+    psm = "Student's clearance request has been rejected! Please fill and submit the form below!"
+    subject = "Clearance request rejected"
+    args['subject'] = subject
+    args['continue'] = 'external_clearance_edit_form'
+elif clearance_closed:
+    action = "/clearance_view"
+    logger.info('%s tried to edit closed clearance object of %s' % (member_id,student_id ))
+elif is_valid:
+    if cpsdocument_edit_button or result_edit_button:
+        psm = "Content changed!"
+        logger.info('%s edited clearance object of %s' % (member_id,student_id ))
+    elif cpsdocument_edit_and_view_button:
+        if acknowledge and info['review_state'] == "clearance_pin_entered":
+            files = context.waeup_tool.picturesList()
+            req_found = [scan for scan in required_scans if scan in files] or no_scans_required
+            birth_found = "age_dec" in files or "birth_certificate" in files or no_scans_required
+            if not req_found or not birth_found:
+                logger.info('%s requested clearance with documents missing' % (student_id))
+                psm = "You have not uploaded all necessary documents to request clearance!"
+            elif not clear_doc.firstname or not clear_doc.lastname:
+                logger.info('%s requested clearance without confirming name' % (student_id))
+                psm = "Please fill the name fields! First and last name are required. "
+            else:
+                logger.info('%s requested clearance' % (student_id))
+                clear_doc.edit(mapping = {'request_date': current,})
+                wftool.doActionFor(info['clear'],'close')
+                wftool.doActionFor(info['student'],'request_clearance',dest_container=1)
+                psm = "You successfully requested clearance!"
+                if context.isStudent():
+                    action = "/clearance_view"
+        elif acknowledge and info['review_state'] != "clearance_pin_entered":
+            logger.info('%s repeatedly requested clearance' % (student_id))
+            psm = "You have already requested clearance!"
+        else:
+            psm = "You must tick the acknowledgement check box before submission!"
+else:
+    psm = "Please correct your errors!"
+    args = getFormUidUrlArg(REQUEST)
+    logger.info('%s got error when editing the clearance object of %s' % (member_id,student_id))
+
+args['portal_status_message'] = psm
+url = clear.absolute_url() + action + '?' + urlencode(args)
+return REQUEST.RESPONSE.redirect(url)
+
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_old.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_old.pt	(revision 4305)
+++ 	(revision )
@@ -1,66 +1,0 @@
-<metal:body use-macro="here/slip_template/macros/master">
-<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
-<span tal:condition="not: info"> 
-    <span tal:content="here/illegal_view" />
-</span> 
-<span tal:condition="info" tal:omit-tag=""> 
-    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
-                                       is_ca info/is_ca;   
-                                       show_check_boxes 
-                                       info/show_check_boxes;   
-                                       is_student info/is_student;   
-                                       validated info/validated;   ">  
-        <h3> <span tal:content="info/session" /> Academic Report (<span tal:content="info/student/course" /> 
-                                                                  <span tal:content="info/level_str" />)
-            </h3>  <br /> 
-        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
-                                                 layout_mode='view_info',       
-                                                 layout_id='student_application')"       />
-        <br /> 
-        <span tal:condition="not:info/data_missing" tal:omit-tag="">
-            <table class="contentListing" id="folder_content" width="100%">
-                <span tal:repeat="sem python:(('1','Term One','normal1'),('2','Term Two','normal2'),('3','Term Three','normal3'))">
-                    <tr tal:condition="python:info[sem[2]]">
-                        <th tal:content="python:sem[1]" />
-                        <th align='center'>ATL</th>  
-                        <th align='center'>CA 1 <br />Marks</th>
-                        <th align='center'>CA 2 <br />Marks</th>    
-                        <th align='center'>Exam <br />Marks</th>              
-                        <th align='center'>Overall <br />Marks</th>
-                        <th align='center'>Grade</th>
-                        <th tal:condition="is_so" align='center'>
-                        </th>
-                    </tr>
-                    <tr tal:repeat="row python:info[sem[2]]"       
-                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
-                        <td tal:content="row/title"></td> 
-                        <td align="center" tal:content="python:context.portal_vocabularies.pastoral_grade.get(row['atl'])"></td>
-                        <td align="center" tal:content="row/ca1"></td> 
-                        <td align="center" tal:content="row/ca2"></td> 
-                        <td align="center" tal:content="row/exam"></td> 
-                        <td align="center" tal:content="row/score_calc"></td>
-                        <td align="center" tal:content="row/grade"></td>
-                    </tr>
-                    <tr><td>&nbsp;</td>
-                    </tr>
-                </span>
-            </table>
-        </span>
-
-        <span tal:condition="python:False">      <br /><br />
-            <table width=100%>
-                <tr > 
-                    <td width=50%>Date:</td><td>Date:</td>
-                </tr>
-            </table>    <br /><br /><br /><br />
-            <table width=100%>
-                <tr > 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
-                </tr>
-            </table>
-        </span>
-    </span>
-</span>
-</metal:main>
-</metal:body>
